View Issue Details

IDProjectCategoryLast Update
0020415AI War 2[All Projects] Bug - GameplayMay 17, 2019 1:12 am
ReporterHeartHunter7Assigned ToBadgerBadger 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.776 A Legible Galaxy Map 
Fixed in Version 
Summary0020415: Dark Spire's otheres Vengeance generators dont make army+Spire attack has minus time
DescriptionTryed second time this save, and this situation is repyted.
TagsNo tags attached.

Relationships

related to 0020725 resolvedBadgerBadger Dark Spire Vengeance attack minus time 
related to 0020919 resolvedBadgerBadger Vengeance Generator shows negative countdown 
related to 0020946 resolvedBadgerBadger Broken Vengeance Strike 

Activities

HeartHunter7

Oct 1, 2018 5:36 pm

reporter  

ArcenDebugLog.txt (298,400 bytes)
spire6.savemet (57 bytes)
spire6.save (1,346,908 bytes)
20181002003224_1.jpg (415,009 bytes)

BadgerBadger

Oct 1, 2018 6:17 pm

manager   ~0049666

Last edited: Oct 1, 2018 6:18 pm

View 2 revisions

When I load this save game the Vengeance Strike happens right on schedule. The error you describe, wherein the Vengeance Strike timer goes negative, is suggestive that for some reason the PerSecond step isn't being executed for the Dark Spire.

HeartHunter7

Oct 1, 2018 6:28 pm

reporter   ~0049668

May be this bug working not from first load.
Btw, about minys 300-350, attack was spawning.

BadgerBadger

Oct 1, 2018 11:02 pm

manager   ~0049675

So I have actually reproduced this issue but in a different save game (which is attached). This does feel like some thread related thing is getting stuck.

BattleOnOpal.save (1,614,297 bytes)

BadgerBadger

Oct 29, 2018 11:32 am

manager   ~0050370

I added a few more traces to the dark spire; if you see this problem again please enable Independents tracing for a bit, then upload the debug log.

HeartHunter7

Nov 1, 2018 3:15 pm

reporter   ~0050412

Oh, i made other thread.
https://bugtracker.arcengames.com/view.php?id=20725

Dominus Arbitrationis

Nov 21, 2018 12:22 pm

administrator   ~0050548

Possibly fixed.

BadgerBadger

May 17, 2019 1:12 am

manager   ~0051650

This hasn't been seen for a long time. Please open a new bug report if it is seen again

Issue History

Date Modified Username Field Change
Oct 1, 2018 5:36 pm HeartHunter7 New Issue
Oct 1, 2018 5:36 pm HeartHunter7 File Added: 20181002003224_1.jpg
Oct 1, 2018 5:36 pm HeartHunter7 File Added: spire6.save
Oct 1, 2018 5:36 pm HeartHunter7 File Added: spire6.savemet
Oct 1, 2018 5:36 pm HeartHunter7 File Added: ArcenDebugLog.txt
Oct 1, 2018 6:17 pm BadgerBadger Note Added: 0049666
Oct 1, 2018 6:18 pm BadgerBadger Note Edited: 0049666 View Revisions
Oct 1, 2018 6:28 pm HeartHunter7 Note Added: 0049668
Oct 1, 2018 11:02 pm BadgerBadger File Added: BattleOnOpal.save
Oct 1, 2018 11:02 pm BadgerBadger Note Added: 0049675
Oct 24, 2018 3:37 pm Dune Assigned To => x4000Bughunter
Oct 24, 2018 3:37 pm Dune Status new => assigned
Oct 29, 2018 11:32 am BadgerBadger Note Added: 0050370
Nov 1, 2018 3:15 pm HeartHunter7 Note Added: 0050412
Nov 21, 2018 12:22 pm Dominus Arbitrationis Relationship added related to 0020725
Nov 21, 2018 12:22 pm Dominus Arbitrationis Status assigned => requires feedback
Nov 21, 2018 12:22 pm Dominus Arbitrationis Note Added: 0050548
Feb 8, 2019 10:41 am BadgerBadger Relationship added related to 0020919
Mar 1, 2019 10:10 pm Ovalcircle Relationship added related to 0020946
May 17, 2019 1:12 am BadgerBadger Status requires feedback => resolved
May 17, 2019 1:12 am BadgerBadger Resolution open => fixed
May 17, 2019 1:12 am BadgerBadger Note Added: 0051650
May 17, 2019 1:12 am BadgerBadger Assigned To x4000Bughunter => BadgerBadger